#include "pc.h"

#include "constants.h"
#include "player/goblin.h"
#include "player/drow.h"
#include "player/shade.h"
#include "player/troll.h"
#include "player/vampire.h"
#include "player/t_800.h"

std::unique_ptr<player_base> init_player(RNG *rng,
                const feature enabled_features, const enum race &r) {
        using std::make_unique;

        switch (r) {
        case rgoblin:
                return make_unique<goblin>(rng, enabled_features);
                break;

        case rdrow:
                return make_unique<drow>(rng, enabled_features);
                break;

        case rshade:
                return make_unique<shade>(rng, enabled_features);
                break;

        case rtroll:
                return make_unique<troll>(rng, enabled_features);
                break;

        case rvampire:
                return make_unique<vampire>(rng, enabled_features);
                break;

        case rt_800:
                return make_unique<t_800>(rng, enabled_features);
                break;

        default:
                break;
        }

        return nullptr;
}
